GAWK 2.15.6 with ELF gcc-2.7.0 & libc-5.0.9 & linux

GAWK 2.15.6 with ELF gcc-2.7.0 & libc-5.0.9 & linux

Post by Volker Schmi » Thu, 17 Aug 1995 04:00:00



I'm trying to recompile GnuAWK 2.15.6 (the latest one I found) with gcc-2.7.0 &
libc-5.0.9 under linux-1.2.13. The compilation is fine.

Doing a "make test" fails for some targets. Trying to use the compiled gawk binary
makes my C-News running against a big concrete wall.

Does anyone know how to setup it right to pass the tests?

-volker
--

Es gibt drei Dinge, von denen man nie wei?, wie sie enden:
Liebe, Revolution und Karriere.

 
 
 

1. Gawk-2.15.6 & gcc-2.70 in ELF, testing

While recompiling gawk-2.15.6 I trapped onto some difficulties:

cd gawk-2.15.6
./configure linux
vi Makefile       # Changed: -g off, -O2 -fomit-frame-pointer
make              # Compiles straight
make test
# Barfing about problems on "arrayparam" and two others

A real test running my C-News let C-News crash.

My developing enviroment here is: gcc-2.70, libc-5.0.9, make-3.7.1
bash-1.14.4.

Has anyone compiled & tested it fine under linux in ELF? Any hints also
appreciated.

Please do also a CC to my EMail address.

Thanks.

-volker
--

Es gibt drei Dinge, von denen man nie wei?, wie sie enden:
Liebe, Revolution und Karriere.

2. Disk Performance Benchmark

3. nlist & libc-5.0.9

4. <*>-<Scroll Lock> Functions

5. Ftape 0.9.9d, Kernel 0.99.15, Modutils 0.99.15 Help.

6. Born shell (sh) commands history

7. problems upgrading libraries - libc-5.0.9 -> libc-5.2.18

8. what Linux distro?

9. Help: GeForce2 MX & nvidia 0.9-5 & blue flashes & dri

10. upgrading from libc-5.0.9 -> libc-5.2.18 brakes system?

11. Zlib & libc-4.6.27 & gcc-2.6.2

12. XFree4.0.1, TNT2 & nVidia 0.9-5 on SuSE 7.0: Can′t get the new driver working !

13. Linux 1.3.3 & gcc & elf etc